#include "stdafx.h"
#include "insideoutgraphsorter.h"

InsideOutGraphSorter::InsideOutGraphSorter(QObject *parent)
	: GraphSorter(parent)
{

}

InsideOutGraphSorter::~InsideOutGraphSorter()
{

}

void InsideOutGraphSorter::orderLayers(DataSet& data)
{
	int pos = 0;
	for (int cnt=0; cnt<data.getSizeY(); cnt++) 
	{
	  if(cnt%2 == 0)
	  {
		  data.getSortedData().move(pos,0);
		  pos++;
	  }
	  else
	  {
		  //pos stays the same because list is shifted to the left!
		  data.getSortedData().move(pos,data.getSizeY()-1);
	  }
    }
}