#ifndef ONTOPGRAPHSORTER_H
#define ONTOPGRAPHSORTER_H

#include <QObject>
#include "graphsorter.h"

/*!
Class describes a naive sorting algorithm which sorts the \ref DataSet by simply stacking the elements onto each other
*/
class OnTopGraphSorter : public GraphSorter
{
	Q_OBJECT
	Q_INTERFACES(INamedObject)

public:
	OnTopGraphSorter(QObject *parent);
	~OnTopGraphSorter();

	QString GetName() { return "OnTop"; }

private:
	void orderLayers(DataSet& data);
};

#endif // ONTOPGRAPHSORTER_H
