#ifndef STACKGRAPHLAYOUTER_H
#define STACKGRAPHLAYOUTER_H

#include <QObject>
#include "graphlayouter.h"

/*!
Class describes a naive layouting algorithm with a straight baseline at zero 
*/
class StackGraphLayouter : public GraphLayouter
{
	Q_OBJECT
	Q_INTERFACES(INamedObject)

public:
	StackGraphLayouter(QObject *parent);
	~StackGraphLayouter();

	QString GetName() { return "Stacked"; }

private:
	void calculateBaseLine(DataSet& dataset, QVector<double>& baseline);
};

#endif // STACKGRAPHLAYOUTER_H
