#ifndef STREAMGRAPHLAYOUTER_H
#define STREAMGRAPHLAYOUTER_H

#include <QObject>
#include "graphlayouter.h"

/*!
Class describes the layouting algorithm used in the streamgraph stacked graph
The baseline is calculated by using numeric integration
*/
class StreamGraphLayouter : public GraphLayouter
{
	Q_OBJECT
	Q_INTERFACES(INamedObject)

public:
	StreamGraphLayouter(QObject *parent);
	~StreamGraphLayouter();

	QString GetName() { return "Stream"; }
private:
	void calculateBaseLine(DataSet& dataset, QVector<double>& baseline);

};

#endif // STREAMGRAPHLAYOUTER_H
