#ifndef THEMERIVERGRAPHLAYOUTER_H
#define THEMERIVERGRAPHLAYOUTER_H

#include <QObject>
#include "graphlayouter.h"

/*!
Class describes the themeriver layouting algorithm which simply centers the baseline and therefore the stacked graph
*/
class ThemeRiverGraphLayouter : public GraphLayouter
{
	Q_OBJECT
	Q_INTERFACES(INamedObject)

public:
	ThemeRiverGraphLayouter(QObject *parent);
	~ThemeRiverGraphLayouter();

	QString GetName() { return "ThemeRiver"; }

private:
	void calculateBaseLine(DataSet& dataset, QVector<double>& baseline);
	
};

#endif // THEMERIVERGRAPHLAYOUTER_H
